#!/bin/sh

FILES='
intro/index.md
intro/diary_language.md
intro/CHANGELOG.md
'

set -x
pandoc -o lewa.epub --epub-chapter-level=2 --resource-path=. title.md $FILES
pandoc -o test.tex -s --include-in-header sectionpagebreak.tex --variable=subparagraph --toc --toc-depth=2 --resource-path=. title.md $FILES
pandoc -o lewa.pdf --include-in-header sectionpagebreak.tex --variable=subparagraph --toc --toc-depth=2 --pdf-engine xelatex --resource-path=. title.md $FILES || exit
kindlegen lewa.epub
mkdir -p ../book
cp -vrf lewa.mobi ../book/
cp -vrf lewa.epub ../book/
cp -vrf lewa.pdf ../book/

